import http from "@/http/http.js";

let baseUrl = "/api/web/action/tmQuery/springBoard";

// 商标详情查询接口
export function tradeMarkDetail(params) {
    return http.post(baseUrl, {
        actionType: "tradeMarkDetail",
        actionBody: params
    });
}

//企业查询接口
export function getCompanyInfoNoUser(name) {
    return http.post(baseUrl, {
        actionType: "getCompanyInfoNoUser",
        actionBody: {
            company_name: name
        }
    });
}

//申请人查询接口
export function findTrademarkzcr(name, pageSize, currentPage) {
    return http.post(baseUrl, {
        actionType: "findTrademarkzcr",
        actionBody: {
            regMan: name,
            sqlbtabkey: "",
            flzttabkey: "",
            sqnftabkey: "",
            zcrname: "",
            xcl: [],
            pageSize: pageSize,
            currentPage: currentPage
        }
    });
}